---
title: CSSRotate.z
slug: Web/API/CSSRotate/z
tags:
  - API
  - CSS
  - CSS Typed Object Model API
  - CSSRotate
  - CSSTransformComponent
  - CSSTransformValue
  - Experimental
  - Houdini
  - Property
---
<div>{{APIRef("CSS Typed OM")}}{{SeeCompatTable}}{{draft}}</div>

<p class="summary">The <strong><code>z</code></strong> property of the {{domxref("CSSRotate")}} interface representing the z-component of the translating vector. A positive value moves the element towards the viewer, and a negative value farther away.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <em>rotateZ</em> = CSSRotate.z;</pre>

<h3 id="Value">Value</h3>

<p>A double integer or a {{domxref("CSSNumericValue")}}</p>

<h2 id="Examples">Examples</h2>

<p>To Do</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS Typed OM','#dom-cssrotate-z','z')}}</td>
   <td>{{Spec2('CSS Typed OM')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSRotate.z")}}</p>
